Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Interface GeneratorControlArea

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GeneratorControlAreaImpl

    public interface GeneratorControlArea

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Generator Control Area'. The GeneratorControlArea element defines the EMF model elements, e.g., ApplicationServer, Module, etc., that will be processed by the generator and links them to the template files that will process them.

The following features are supported:

- `Template Root`
- `Output Root`
- `Property`
- `Template`
- `Helper`
- `Resource Factory`

See Also:
  `GenctlPackage.getGeneratorControlArea()`

Method Summary
`java.lang.String` | `getGeneratorID()`
`java.lang.String` | `getGeneratorName()`
`org.eclipse.core.runtime.Plugin` | `getGeneratorPlugin()`
`java.lang.String` | `getGeneratorVersion()`
`org.eclipse.emf.common.util.EList` | `getHelper()` Returns the value of the 'Helper' containment reference list.
`java.lang.String` | `getOutputRoot()` Returns the value of the 'Output Root' attribute
`org.eclipse.core.runtime.Plugin` | `getPlugin()`
`org.eclipse.emf.common.util.EList` | `getProperty()` Returns the value of the 'Property' containment reference list.
`org.eclipse.emf.common.util.EList` | `getResourceFactory()` Returns the value of the 'Resource Factory' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplate()` Returns the value of the 'Template' containment reference list.
`java.lang.String` | `getTemplateID()`
`java.lang.String` | `getTemplateName()`
`java.lang.String` | `getTemplateRoot()` Returns the value of the 'Template Root' attribute
`java.lang.String` | `getTemplateVersion()`
`void` | `setGeneratorPlugin(org.eclipse.core.runtime.Plugin plugin)`
`void` | `setOutputRoot(java.lang.String value)` Sets the value of the '`Output Root`' attribute
`void` | `setPlugin(org.eclipse.core.runtime.Plugin plugin)`
`void` | `setTemplateRoot(java.lang.String value)` Sets the value of the '`Template Root`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTemplateRoot

    java.lang.String getTemplateRoot()

  Returns the value of the 'Template Root' attribute. The templateRoot element points to the folder(s) containing the template file(s) to be processed by the generator. If the template files are all in the same folder this element should point to that folder. If the template files are contained in multiple folders, this element should point to a folder that is a common parent to all of the template folders.

  Returns:
    the value of the 'Template Root' attribute.
  See Also:
    `setTemplateRoot(String)`, `GenctlPackage.getGeneratorControlArea_TemplateRoot()`

### setTemplateRoot

    void setTemplateRoot(java.lang.String value)

  Sets the value of the '`Template Root`' attribute.

  Parameters:
    `value` - the new value of the 'Template Root' attribute.
  See Also:
    `getTemplateRoot()`

### getOutputRoot

    java.lang.String getOutputRoot()

  Returns the value of the 'Output Root' attribute. The outputRoot element points to the folder to which the generator output will be written.

  Returns:
    the value of the 'Output Root' attribute.
  See Also:
    `setOutputRoot(String)`, `GenctlPackage.getGeneratorControlArea_OutputRoot()`

### setOutputRoot

    void setOutputRoot(java.lang.String value)

  Sets the value of the '`Output Root`' attribute.

  Parameters:
    `value` - the new value of the 'Output Root' attribute.
  See Also:
    `getOutputRoot()`

### getProperty

    org.eclipse.emf.common.util.EList getProperty()

  Returns the value of the 'Property' containment reference list. The list contents are of type `GeneratorProperty`.

  If the meaning of the 'Property' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `GenctlPackage.getGeneratorControlArea_Property()`

### getTemplate

    org.eclipse.emf.common.util.EList getTemplate()

  Returns the value of the 'Template' containment reference list. The list contents are of type `Template`.

  If the meaning of the 'Template' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template' containment reference list.
  See Also:
    `GenctlPackage.getGeneratorControlArea_Template()`

### getHelper

    org.eclipse.emf.common.util.EList getHelper()

  Returns the value of the 'Helper' containment reference list. The list contents are of type `TemplateHelper`.

  If the meaning of the 'Helper' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Helper' containment reference list.
  See Also:
    `GenctlPackage.getGeneratorControlArea_Helper()`

### getResourceFactory

    org.eclipse.emf.common.util.EList getResourceFactory()

  Returns the value of the 'Resource Factory' containment reference list. The list contents are of type `ModelResourceFactory`.

  If the meaning of the 'Resource Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resource Factory' containment reference list.
  See Also:
    `GenctlPackage.getGeneratorControlArea_ResourceFactory()`

### getPlugin

    org.eclipse.core.runtime.Plugin getPlugin()

### setPlugin

    void setPlugin(org.eclipse.core.runtime.Plugin plugin)

### getTemplateVersion

    java.lang.String getTemplateVersion()

### getTemplateName

    java.lang.String getTemplateName()

### getTemplateID

    java.lang.String getTemplateID()

### getGeneratorPlugin

    org.eclipse.core.runtime.Plugin getGeneratorPlugin()

### setGeneratorPlugin

    void setGeneratorPlugin(org.eclipse.core.runtime.Plugin plugin)

### getGeneratorVersion

    java.lang.String getGeneratorVersion()

### getGeneratorName

    java.lang.String getGeneratorName()

### getGeneratorID

    java.lang.String getGeneratorID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD